Remove a payment token linked to a card
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the card |
| tokenUniqueReference | String | 48 characters | ✓ | The unique reference of the token |
| stopReasonID | Integer | ✓ | Stop Reason id associated with the reason for stopping a card | |
| comment | String | ✓ | Description as to why the token was deleted | |
| transactionID | String | 1-255 characters | ✓ | a unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<methodCall>
<methodName>DeleteToken</methodName>
<params>
<param>
<value>
<string>0020787431</string>
</value>
</param>
<param>
<value>
<string>Cyp001</string>
</value>
</param>
<param>
<value>
<string>156554700000004</string>
</value>
</param>
<param>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</param>
<param>
<value>
<int>1</int>
</value>
</param>
<param>
<value>
<string>Card no longer in use</string>
</value>
</param>
<param>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>8D727BA9D567CB695FF17FDDE935F1AC1978E292</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>